#                    www.PowerShell-Scripting.com
#
#                      PowerShell WinForm package
#
# Version : 0.1
#
# Statut  : A valider
#
# Date    : 15 mars 2008
#
# Nom     : PackageWinform.ps1
#
# Usage   : . .\PackageWinform.ps1
#
# Objet   : Regroupe une srie de fonctions autour des Winform.
# 
# Limitations : Il est prfrable d'utiliser les fonctions appelant MessageBox au sein d'une application Winform
#
# Todo    :
#
##########################################################################
#Prrequis
[void][Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")

function MessageConfirmation([string] $Titre,[string] $MessageConfirmation)
{  #Affiche une bote de dialogue de confirmation (Oui/Non)
   return [Windows.Forms.MessageBox]::Show($MessageConfirmation,$Titre, "YesNo","Question")
}

function MessageInformation([string] $Titre,[string]$MessageInformation)
{ #Affiche une bote de dialogue d'information (Ok)
  [void][Windows.Forms.MessageBox]::Show($MessageInformation,$Titre, "OK","Information")
}
